Delete the Appointment or Reservation identified by the supplied public ID
DELETE/api/v1/appointments/:publicId
Delete the Appointment or Reservation identified by the supplied public ID:
Please note that this will also delete the Appointment in the Orchestra R5 appointment store (if applicable, e.g. a qpId is stored for the Appointment record). It will also publish events on the general CometD topic and the resource-specific CometD topic.
It is not possible to delete an appointment that is locked by another user.
If the calling user currently holds a lock on the appointment that lock will be released as this call ends. (NOTE: This requires the calling user to be properly authenticated with a login cookie)
(see /lock methods in internal appointment connector)
Example of usage:
curl -i -X DELETE http://orchestra-ip:orchestra-port/calendar-backend/public/api/v1/appointments/{publicId}
Request
Responses
- 204
HTTP 204 OK.